using Practice.Models;
using Practice.ViewModels;

namespace PracticeTest
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void TestTicketCountLogin_Ivanov_Ivan_Tickets_11()
        {
            var Tickets = DBManager.GetAppealsByStaff("Ivanov_Ivan");
            Assert.AreEqual(11, Tickets.Count);
        }
        [TestMethod]
        public void TestViewsCountExpected_4()
        {
            SigurDatabaseContext DatabaseContext = new SigurDatabaseContext();
            Staff? CurrentUser = DatabaseContext.Staff.FirstOrDefault();
            MainWindowViewModel ViewModel = new MainWindowViewModel(CurrentUser);
            Assert.AreEqual(4, ViewModel.MenuItems.Count);
        }
        [TestMethod]
        public void TestStatusCountExpected_4()
        {
            var Statuses = DBManager.StatusesList;
            Assert.AreEqual(4, Statuses.Count);
        }
        [TestMethod]
        public void TestTicketCountActive_Not_Equal_NotActive()
        {
            SigurDatabaseContext DatabaseContext = new SigurDatabaseContext();
            Staff? CurrentUser = DatabaseContext.Staff.FirstOrDefault();
            MainWindowViewModel ViewModel = new MainWindowViewModel(CurrentUser);
            MyTicketViewModel TicketViewModel = (MyTicketViewModel)ViewModel.MenuItems[2].ViewModel;
            int ticketCountFirst = TicketViewModel.TicketList.Count;
            TicketViewModel.ShowActive = true;
            int ticketCountSecond = TicketViewModel.TicketList.Count;
            Assert.AreNotEqual(ticketCountFirst, ticketCountSecond);
        }
        [TestMethod]
        public void TestCompaniesCountExpected_95() 
        {
            var Companies = DBManager.GetCompanies();
            Assert.AreEqual(95, Companies.Count);
        }
        [TestMethod]
        public void TestMonthCountExpected_2()
        {
            var Tickets = DBManager.TicketsByMonth("Ivanov_Ivan");
            int itemCount = 0;
            foreach (var tickets in Tickets) itemCount++;
            Assert.AreEqual(3, itemCount);
        }
        [TestMethod]
        public void TestDaysCountExpected_11()
        {
            var Tickets = DBManager.TicketsByDates("Ivanov_Ivan");
            int itemCount = 0;
            foreach (var tickets in Tickets) itemCount++;
            Assert.AreEqual(11, itemCount);
        }
        [TestMethod]
        public void TestButtonAccessibilityWithDifferentMyTickets()
        {
            SigurDatabaseContext DatabaseContext = new SigurDatabaseContext();
            Staff? CurrentUser = DatabaseContext.Staff.FirstOrDefault();
            MainWindowViewModel ViewModel = new MainWindowViewModel(CurrentUser);
            MyTicketViewModel TicketViewModel = (MyTicketViewModel)ViewModel.MenuItems[2].ViewModel;
            foreach (MyTicketListTemplate ticket in TicketViewModel.TicketList)
            {
                TicketViewModel.SelectedTicket = ticket;
                Assert.IsTrue(TicketViewModel.IsActive == (ticket.Status == " "));
            }
        }
        [TestMethod]
        public void TestTicketNumberChanges()
        {
            SigurDatabaseContext DatabaseContext = new SigurDatabaseContext();
            Staff? CurrentUser = DatabaseContext.Staff.FirstOrDefault();
            MainWindowViewModel ViewModel = new MainWindowViewModel(CurrentUser);
            MyTicketViewModel TicketViewModel = (MyTicketViewModel)ViewModel.MenuItems[2].ViewModel;
            foreach (MyTicketListTemplate ticket in TicketViewModel.TicketList)
            {
                TicketViewModel.SelectedTicket = ticket;
                Assert.IsTrue(TicketViewModel.TicketNumber == " " + ticket.Number);
            }
        }
    }
}